Subject: Re: Picking up include directories automatically
From: [email-masked] ("Mikey")

15 May 1997 20:57:48 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: "cygnus" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

You don't change a multi platform developement environment,
to accomadate a temporary kludge that will probably go away
in 1 or 2 revisions.

Since the dll and gcc now support dos style naming.
and the dll supports UNC's the need for // isn't really apparent, 
at least not to me .
I'm kind of surprised that Geoff left the support in the dll,
(plus \\\\c is a pretty awkward way to refer to c)

but he was rushed getting out this release.

Also not all gnu tools work as of yet with the dll, posix
support is only about 90-95% done, so some programs eg. emacs
won't yet compile and run, under gnu-win32. untill that
fatefull day, there will remain kludges, live with it.

personally, I would dump support for // and dos style path's,
(neither is portable, and will only screw up the code base)

require all dirs
 to be mounted. and let the users worry
about it if they want to use someone elses tools, so
be glad I'm not running the show, 
(You don't like the way my software works DELETE IT AND DON'T EVER CALL ME
AGAIN).

>At 08:31 AM 5/15/97 -0700, you wrote:
>>gcc, and cpp understand both, // isn't posix, it's a kludge for
cygwin32.
>
>That's my point.  Since we need to use this // cygwin32 klugde and since

the last two
 messages I've sent you explained that you don't need // for anything.

>gcc and cpp require cygwin32, why not make gcc and ccp understand the
>pathname conventions of the dll which they require to operate?
>
>--jp
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".